%define base_name	kde-styles
%define theme_name	knifty
%define name		%base_name-%theme_name

Name: %name
Version: 0.4.1
Release: alt1

Group: Graphical desktop/KDE
Summary: Native Kwin window decoration for KDE 3.x
License: GPL
Url: http://kde-look.org/content/show.php?content=7290

Source: %theme_name-%version.tar.bz2
Patch1: 0.4.1-detect-autoconf.patch
Patch2: 0.4.1-lkdecorations.patch


# Automatically added by buildreq on Fri Mar 26 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdebase-devel kdebase-wm kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel

BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ kdebase-devel kdebase-wm kdelibs-devel libarts-devel
BuildRequires: libjpeg-devel libpng-devel libqt3-devel libstdc++-devel
BuildRequires: qt3-designer zlib-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base

%description
Native Kwin window decoration for KDE 3.x

%prep
%setup -q -n %theme_name-%version
%patch1 -p1
%patch2 -p1

subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"
%configure \
    --disable-debug \
    --disable-rpath \
    --enable-shared \
    --enable-final
%make

%install
%makeinstall

%files
%doc AUTHORS ChangeLog README TODO
%dir %_libdir/kde3/
%_libdir/kde3/*%{theme_name}*
%dir %_datadir/apps/kwin/
%_datadir/apps/kwin/*.desktop

%changelog
* Fri Mar 26 2004 Sergey V Turchin <zerg at altlinux dot org> 0.4.1-alt1
- new version

* Thu Aug 28 2003 Sergey V Turchin <zerg at altlinux dot org> 0.3.4-alt1
- build for ALT

* Mon Aug 25 2003 Laurent Culioli <laurent@pschit.net> 0.3.4-1mdk
- initial release

